Bug 104535 - for non-root user, userhelper root password dialog 'Cancel' displays error
Summary: for non-root user, userhelper root password dialog 'Cancel' displays error
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: usermode (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-16 21:24 UTC by Hardy Merrill
Modified: 2007-04-18 16:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-27 15:20:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Hardy Merrill 2003-09-16 21:24:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
When running an app as a non-root user - an app that needs to be run as root,
userhelper presents the 'Password for root' dialog with a Cancel and an OK
button.  If you press the Cancel button, you get an Error Dialog that says
'Unknown exit code'.

Dan Walsh confirmed this same behavior on Cambridge.

I've tried this with redhat-config-cluster and redhat-config-users.

Version-Release number of selected component (if applicable):
usermode-1.67-2

How reproducible:
Always

Steps to Reproduce:
1. as a non-root user, at a command prompt, run redhat-config-users
2. on the 'Password for root' dialog, click 'Cancel'
3.
    

Actual Results:  Error dialog appears saying "Unknown exit code".

Expected Results:  No error.

Additional info:

Comment 1 Jindrich Novy 2005-01-27 15:20:36 UTC
This issue is fixed by the current release of usermode.


Note You need to log in before you can comment on or make changes to this bug.